import { PkgItem, ProjectCompiler, BaseProject, NessPkgItem, PkgList } from '@thing.js/cli-utils';

declare function getRollupConfig(pkg: PkgItem, compiler: ProjectCompiler): {
    input: {
        [x: number]: string;
    };
    plugins: ({
        name: string;
        load(id: string): any;
        transform(source: string, id: string): string | undefined;
        writeBundle(): void;
    } | {
        name: string;
        moduleParsed(moduleInfo: ModuleInfo): void;
        buildEnd(): Promise<unknown>;
    })[];
    output: {
        format: string;
    };
};

declare class PluginProject extends BaseProject {
    hasPkgJson(dirPath: string): boolean;
    getPackageInfo(dirPath: string): NessPkgItem;
    onBuild(pkgs?: PkgList): Promise<void>;
}
declare const _default: (api: any) => void;

export { PluginProject, _default as default, getRollupConfig };
